# Tutorial

Welcome to the FastAPI Maintenance tutorial! This section will guide you through:

- Installing the package
- Setting up your first maintenance mode middleware
- Configuring maintenance mode backends
- Using the decorators and context managers
- Customizing maintenance responses
- Advanced use cases

Follow along step-by-step to learn how to implement maintenance mode in your FastAPI applications. We recommend starting with the installation guide and proceeding through each section in order.

## What You'll Learn

By the end of this tutorial, you'll understand how to:

1. Add maintenance mode capabilities to any FastAPI application
2. Control which routes are affected by maintenance mode
3. Store maintenance mode state in different backend systems
4. Create custom maintenance responses
5. Implement best practices for API availability management

Let's begin with the [installation guide](./install.md).
